<div class="setup-container">
    <div class="setup-menu">
        <mat-form-field appearance="fill">
            <mat-label>Project</mat-label>
            <mat-select [(value)]="namespace" (selectionChange)="changeNamespace($event)">
                <mat-option *ngFor="let ns of namespaces" [value]="ns">{{ns}}</mat-option>
            </mat-select>
        </mat-form-field>
        <ul>
            <li routerLinkActive="active"><a [routerLink]="['change-password']">Change password</a></li>
            <li routerLinkActive="active"><a [routerLink]="['usergroups']">Usergroups</a></li>
            <li routerLinkActive="active"><a [routerLink]="['services']">Services</a></li>
            <li routerLinkActive="active"><a [routerLink]="['deployments']">Deployments</a></li>
            <li routerLinkActive="active"><a [routerLink]="['secrets']">Secrets</a></li>
            <li routerLinkActive="active"><a [routerLink]="['nodes']">Nodes</a></li>
            <li routerLinkActive="active" (click)="logout()"><a>Logout</a></li>
        </ul>
        <div class="add" [routerLink]="['create-project']">Create project</div>
    </div>
    <div class="setup-content">
        <router-outlet></router-outlet>
    </div>
</div>